View Single Post
EndlessMac

 
Member Since: Jan 18, 2010
Posts: 1,469
EndlessMac is a jewel in the roughEndlessMac is a jewel in the roughEndlessMac is a jewel in the rough
Mac Specs: 2.8 GHz 15" MacBook Pro OS X 10.7.x & some old Macs

EndlessMac is offline
Crakton, are you sure there is not an update to the torq conectiv software that will make it work on Snow Leopard? You should check the company's website. Also it sounds like you haven't even tried installing it yet to see if it will work in Snow Leopard. Once it's installed run the update feature and see if you will get an update.

Most of my Leopard applications worked when I upgraded to Snow Leopard or there was a free update from the software company to make it work in Snow Leopard.

Also if you don't already have Leopard then for the price of buying it you can probably get a used Mac with Leopard on it already. It depends on how fast you need the computer to be. Just another option for you because downgrading will be a pain because you will have to backup all your data do a clean install and then reinstall and transfer everything over. This is also assuming you have an older computer that supports Leopard. I've been told Macs can't go lower than the OS they originally came with. I've never downgraded myself so I can't say if that is true or not.
QUOTE Thanks